L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Spring Framework : fuite mémoire via StringDecoder

Synthèse de la vulnérabilité 

Un attaquant peut provoquer une fuite mémoire via StringDecoder de Spring Framework, afin de mener un déni de service.
Produits vulnérables : Spring Framework.
Gravité de cette faille : 2/4.
Date de création : 14/01/2020.
Références de ce bulletin : 24339, 24346, VIGILANCE-VUL-31320.

Description de la vulnérabilité 

Un attaquant peut provoquer une fuite mémoire via StringDecoder de Spring Framework, afin de mener un déni de service.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette annonce de menace concerne les logiciels ou systèmes comme Spring Framework.

Notre équipe Vigil@nce a déterminé que la gravité de cette faille cyber-sécurité est moyen.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de document.

Un attaquant avec un niveau de compétence expert peut exploiter cette alerte de vulnérabilité.

Solutions pour cette menace 

Spring Framework : version 5.2.3.
La version 5.2.3 est corrigée :
  https://github.com/spring-projects/spring-framework/releases/tag/v5.2.3.RELEASE

Spring Framework : version 5.1.13.
La version 5.1.13 est corrigée :
  https://github.com/spring-projects/spring-framework/releases/tag/v5.1.13.RELEASE

Spring Framework : patch pour StringDecoder.
Un patch est indiqué dans les sources d'information.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit une annonce cybersécurité. La veille sécurité Vigil@nce publie des bulletins de vulnérabilités pour les failles qui impactent le système d'information.